List workspace team members
curl --request GET \
--url https://api.blaxel.ai/v0/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accepted": true,
"email": "<string>",
"email_verified": true,
"expired": true,
"family_name": "<string>",
"given_name": "<string>",
"role": "<string>",
"source": "directory_sync",
"sub": "<string>"
}
]workspaces
List workspace team members
Returns all team members in the workspace including their roles (admin or member) and invitation status.
GET
/
users
List workspace team members
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Response
200 - application/json
successful operation
Whether the user has accepted the workspace invitation
Workspace user email
Whether the user's email has been verified
Whether the invitation has expired
Workspace user family name
Workspace user given name
Workspace user role
Source of the user provisioning
Available options:
directory_sync, invitation, domain_capture Workspace user identifier
Last modified on September 16, 2026
Was this page helpful?